Προβλήματα στην εγκατάσταση πακέτων που υπάρχουν και σε snap σε ubuntu 20.04

Καλησπέρα σε όλους!
Αυτές τις ημέρες ασχολήθηκα λίγο παραπάνω με το κομμάτι snap μιας και έγινε αρκετός ντόρος και σε αυτή την κοινότητα και παραέξω. Εξέτασα λοιπόν ποιες εφαρμογές τις έχω εγκατεστημένες από εκεί και προς μεγάλη μου έκπληξη, ήταν αρκετές. Δεν θέλω στο παρόν νήμα να πάρω θέση για το αν είμαι υπέρ ή κατά, οπότε θα εστιάσω στο θέμα ως πρόβλημα λογισμικού…

Είμαι χρήστης του firefox εδώ και πολύ καιρό και δηλώνω πολύ ευχαριστημένος! Δυστυχώς το facebook δεν σου επιτρέπει να συμμετέχεις σε ομαδικές κλήσεις μέσω του firefox, οπότε υποχρεώθηκα να καταφύγω σε άλλον browser για να εξυπηρετήσω αυτή την ανάγκη.(Διευκρίνηση, δεν άλλαξα browser, απλά χρησιμοποιώ άλλον ΜΟΝΟ για τον λόγο που προαναφέρθηκε). Έτσι λοιπόν κατά την εγκατάσταση του chromium με την εντολή:

sudo apt install chromium-browser

Παρ’ ότι επέλεξα τον διαχειριστή apt η εφαρμογή εγκαταστάθηκε από τον διαχειριστή snapd… Ψάχνοντας λίγο τι παίζει (για στην αρχή είπα: “Δεν μπορεί κάτι έκανα εγώ λάθος”), είδα αυτό:

Ξαναλέω δεν θα σχολιάσω το αν μου αρέσει το ότι πλέον είναι διαθέσιμο μόνο ως snap package. Οπότε πήγα και βρήκα την έκδοση για 18.04.

Tο δια ταύτα:

Το ίδιο ακριβώς συνέβη και με την εφαρμογή viber. Εγκατάσταση και μετά κατά την διόρθωση πακέτων REMOVED…

Δεν ξέρω αν είμαι τόσο άσχετος που δεν καταλαβαίνω τι κάνω, πάντως ενώ περίμενα πως και πως τα 20.04 και χάρηκα όταν βγήκαν, και τα έβαλα στον σταθερό, δηλώνω λίγο έως αρκετά ενοχλημένος… Πράγματα που ήταν αυτονόητα για παλαιότερα releases πρέπει να τα ψάχνω για να δω τι παίζει…

Δεν ξέρω αν διαφωνεί κάποιος και αν έχει διαφορετική άποψη. Θα χαρώ να διαψευστώ και να είμαι εγώ το λάθος!

Έχει συζητηθεί εκτενώς στην παρακάτω συζήτηση ο λόγος που το Ubuntu το κάνει αυτό

Με λίγα λόγια: Εφόσον επέλεξες το Ubuntu επέλεξες και την χρήση των πακέτων snap. Και δεν υπάρχει τίποτα το κακό σε αυτό, ούτε τα snaps είναι καλύτερα η χειρότερα από τα πακέτα deb. Το μόνο πρόβλημα που υπάρχει με αυτά είναι σε άλλες διανομές.

Αν σου αρέσει η διανομή και μένεις ευχαριστημένος, δεν υπάρχει κανένας λόγος, κατά την γνώμη μου, να είσαι ενοχλημένος από αυτό. Αν δεν σου αρέσει, άλλαξε διανομή. Αλλά μην αλλάξεις για ένα τέτοιο λόγο. Και άσε εμάς που επιλέξαμε άλλες διανομές, για τους δικούς μας λόγους, να γκρινιάζουμε :stuck_out_tongue:

Επίσης μην μπαίνεις στην ανάγκη να εξηγείς και να δικαιολογείσαι γιατί χρησιμοποιείς το ένα λογισμικό και όχι το άλλο. Καθένας έχει τις ανάγκες του και τα κριτήρια του, και αν επιλέγει σωστά με βάση αυτά, σε κανέναν άλλο δεν πέφτει κανένας λόγος.

Προσθέτω τέλος αυτό που μόλις είδα ότι έβαλε σε άλλο νήμα ο @lucinos, μόνο και μόνο για την πλάκα του πράγματος :sunglasses:

1 Like

δηλαδη πηγες να το εγκαταστησεις μεσω apt και αρα αρχειο deb και τελικα εγινε εγκατασταση με snap;

πολυ σωστα

1 Like

@Talos Έχω υπόψη μου την συζήτηση και γι αυτό ανέφερα στην αρχή ότι έχει γίνει ντόρος και σε αυτή την κοινότητα. Επίσης όσον αφορά το κομμάτι της “δικαιολόγησης”, η αλήθεια είναι ότι γενικά σαν άνθρωπος τείνω να εξηγώ τις επιλογές μου. Μιας και σας νιώθω πλέον πιο κοντά από την στιγμή που μπήκα στην κοινότητα, το κάνω και εδώ!
Τέλος όσον αφορά το κομμάτι της διανομής, μέχρι τώρα δηλώνω ευχαριστημένος με το ubuntu. Έχω την αίσθηση ότι κάτι με ξένισε στην καινούργια έκδοση και με άφησε λίγο μετέωρο μέσα μου για το αν πρέπει να τραβήξω άλλο δρόμο από εδώ και πέρα.

Όσον αφορά το meme, το είδα μόλις έκανα το συγκεκριμένο post και γέλασα πολύ!

@raik Η ομοιότητα με το viber έγκειται στο εξής: Εγκατέστησα το πακέτο και αφού είχε missing dependencies, μετά την επιδιόρθωση απεγκαταστάθηκε.

3 Likes

Toτε το viber δεν εχει να κανει σε σχεση με snap. Απλως αφου επαιξες μπαλλα με το --fix-broken , και απο τη στιγμη που το viber ηταν broken… «διορθωθηκε» :slight_smile:
Νομιζω οτι υπαρχει άλλο νημα οπου τα παιδια εδω στο φορουμ λενε πως να εγκαταστησεις το viber στο ubuntu, αφου το θες…

To viber χρειάζεται το libssl-1.0.0 να εγκατασταθεί πρώτα. Μπορείς να το κατεβάσεις από εδώ:
http://security.ubuntu.com/ubuntu/pool/main/o/openssl1.0/libssl1.0.0_1.0.2n-1ubuntu5.3_amd64.deb
Αφού το εγκαταστήσεις, το viber θα εγκατασταθεί κανονικά.

2 Likes